# Copyright 2025 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

# Autogenerated by pycargoebuild 0.14.0

EAPI=8

CRATES="
	anstream@0.6.14
	anstyle-parse@0.2.4
	anstyle-query@1.1.0
	anstyle-wincon@3.0.3
	anstyle@1.0.7
	bitflags@2.6.0
	clap@4.5.9
	clap_builder@4.5.9
	clap_derive@4.5.8
	clap_lex@0.7.1
	colorchoice@1.0.1
	errno@0.3.9
	heck@0.5.0
	is_terminal_polyfill@1.70.0
	libc@0.2.155
	linux-raw-sys@0.4.14
	proc-macro2@1.0.86
	quote@1.0.36
	rustix@0.38.34
	strsim@0.11.1
	syn@2.0.71
	unicode-ident@1.0.12
	utf8parse@0.2.2
	windows-sys@0.52.0
	windows-targets@0.52.6
	windows_aarch64_gnullvm@0.52.6
	windows_aarch64_msvc@0.52.6
	windows_i686_gnu@0.52.6
	windows_i686_gnullvm@0.52.6
	windows_i686_msvc@0.52.6
	windows_x86_64_gnu@0.52.6
	windows_x86_64_gnullvm@0.52.6
	windows_x86_64_msvc@0.52.6
	xattr@1.3.1
"

inherit cargo

DESCRIPTION="Update PaX markings for use with OpenPaX and other patches"
HOMEPAGE="https://github.com/edera-dev/paxmark"
SRC_URI="https://github.com/edera-dev/${PN}/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz
	${CARGO_CRATE_URIS}
"

LICENSE="MIT"
# Dependent crate licenses
LICENSE+=" MIT Unicode-DFS-2016"
SLOT="0"
KEYWORDS="~amd64"
